Last Comment Bug 654687 - Combine stop and reload in the page context menu as done with the toolbar buttons by default
: Combine stop and reload in the page context menu as done with the toolbar but...
Status: RESOLVED FIXED
: ux-consistency, ux-minimalism
Product: Firefox
Classification: Client Software
Component: Menus (show other bugs)
: Trunk
: All All
: -- enhancement (vote)
: Firefox 16
Assigned To: Jared Wein [:jaws] (please needinfo? me)
:
Mentors:
Depends on: 780083
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-04 04:53 PDT by Paul [pwd]
Modified: 2012-08-03 01:59 PDT (History)
5 users (show)
jaws: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Patch (6.44 KB, patch)
2012-07-03 19:25 PDT, Jared Wein [:jaws] (please needinfo? me)
felipc: review+
Details | Diff | Splinter Review

Description Paul [pwd] 2011-05-04 04:53:56 PDT
User-Agent:       Mozilla/5.0 (Windows NT 6.1; rv:6.0a1) Gecko/20110503 Firefox/6.0a1
Build Identifier: Mozilla/5.0 (Windows NT 6.1; rv:6.0a1) Gecko/20110503 Firefox/6.0a1

By default the Stop and Reload buttons have been combined in the navigation bar. The in page context menu should match this design decision.

Reproducible: Always
Comment 1 XtC4UaLL [:xtc4uall] 2011-05-04 10:22:44 PDT
Rather an RFE Report.
Comment 2 Dão Gottwald [:dao] 2011-09-20 11:26:16 PDT
There's no "stop" context menu item; adding one certainly doesn't qualify as simplification...
Comment 3 Paul [pwd] 2011-09-20 11:41:09 PDT
When I right click on a page, I see 'Back, Forward, Reload, Stop'.
Comment 4 Dão Gottwald [:dao] 2011-09-20 11:46:44 PDT
Oh, this is about the page context menu. I assumed this was about the tab context menu.
Comment 5 Paul [pwd] 2011-09-20 11:52:23 PDT
Apologies, I should've been more specific in the summary. Thanks for fixing it.
Comment 6 Jared Wein [:jaws] (please needinfo? me) 2012-07-03 19:25:56 PDT
Created attachment 638946 [details] [diff] [review]
Patch

This patch makes it so that context-reload and context-stop are mutually exclusive. It checks if the stopCommand is disabled to know if the page is still loading.

Tested changes with test_contextmenu.html locally.
Comment 7 Jared Wein [:jaws] (please needinfo? me) 2012-07-03 23:25:26 PDT
Pushed to mozilla-inbound:
https://hg.mozilla.org/integration/mozilla-inbound/rev/2237382fc721
Comment 8 Ryan VanderMeulen [:RyanVM] 2012-07-04 06:37:00 PDT
https://hg.mozilla.org/mozilla-central/rev/2237382fc721

Note You need to log in before you can comment on or make changes to this bug.